VERSION 5.00
Begin VB.Form frmData 
   Caption         =   "frmData.Caption = ""Data Access - Disconnected"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8295
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   8295
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdDisconnect 
      Caption         =   "&Disconnect"
      Enabled         =   0   'False
      Height          =   495
      Left            =   6120
      TabIndex        =   6
      Top             =   720
      Width           =   1455
   End
   Begin VB.CommandButton cmdGetValues 
      Caption         =   "Get &Values"
      Height          =   495
      Left            =   3840
      TabIndex        =   5
      Top             =   720
      Width           =   2055
   End
   Begin VB.CommandButton cmdGetFieldNames 
      Caption         =   "&Get Column Names"
      Height          =   495
      Left            =   2040
      TabIndex        =   4
      Top             =   720
      Width           =   1575
   End
   Begin VB.TextBox txtStatus 
      Height          =   1695
      Left            =   360
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   3
      Top             =   1320
      Width           =   7215
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "&Connect"
      Height          =   495
      Left            =   360
      TabIndex        =   2
      Top             =   720
      Width           =   1455
   End
   Begin VB.TextBox txtFilePath 
      Height          =   375
      Left            =   1200
      TabIndex        =   0
      Top             =   120
      Width           =   6255
   End
   Begin VB.Label Label1 
      Caption         =   "File path:"
      Height          =   375
      Left            =   480
      TabIndex        =   1
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "frmData"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public cnn As Connection 'connection to the database
Public rcst As Recordset 'data keeper

Private Sub cmdConnect_Click()
'connects to the database

Dim strCnn As String 'connection string
Dim intErr As Integer 'iteration var

On Error GoTo er
    
    'every connection needs connection string:
    strCnn = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & txtFilePath.Text & ";"
    
    Set cnn = New Connection    'create new connection
    cnn.ConnectionString = strCnn 'specify the connection string
    cnn.Open                    'open the connection
    frmData.Caption = "Data Access - Connected"
    cmdDisconnect.Enabled = True
    cmdConnect.Enabled = False
    Exit Sub
er:
    If cnn.Errors.Count > 0 Then 'process all connection errors
        For intErr = 0 To cnn.Errors.Count - 1
            MsgBox "Error in Connection: " & cnn.Errors(intErr).Description, vbCritical, "Error"
        Next intErr
    Else    'process other errors
        MsgBox "Error in cmdConnect", vbCritical, "Error"
    End If
End Sub

Private Sub cmdDisconnect_Click()
On Error Resume Next
    cnn.Close   'try to close the connection
    Set cnn = Nothing 'clear the object
    Set rcst = Nothing 'clear the recordset if it was init before
    frmData.Caption = "Data Access - Disconnected"
    cmdDisconnect.Enabled = False
    cmdConnect.Enabled = True
End Sub

Private Sub cmdGetFieldNames_Click()
'outputs the names of the fields onto the screen

Dim strSql As String   ' use SQL syntax to obtain info
Dim intIter As Integer ' iteration var

    'check if connection was established
    If cnn Is Nothing Then Exit Sub
    If cnn.State = 0 Then Exit Sub
    
    'create sql statement that would select all the fields (marked as *)
    'from table Main
    strSql = "SELECT * FROM Main"
    
    Set rcst = New Recordset ' create recordset to store the data from
    'database
    rcst.Open strSql, cnn 'fill the recordset with data we specified in strSql
    
    'output the info
    txtStatus.Text = "Fields in Main: " & Chr(13) & Chr(10)
    
    For intIter = 0 To rcst.Fields.Count - 1
        txtStatus.Text = txtStatus.Text & rcst.Fields(intIter).Name & Chr(13) & Chr(10)
    Next intIter
    
    rcst.Close
    Set rcst = Nothing
    
End Sub

Private Sub cmdGetValues_Click()
'gets the First_Name field from the main table

Dim strSql As String ' use SQL syntax to obtain info

    'check if connection was established
    If cnn Is Nothing Then Exit Sub
    If cnn.State = 0 Then Exit Sub
    
   'sql statement that selects First_Name column from Main table
    strSql = "SELECT First_Name FROM Main"

    Set rcst = New Recordset 'recorset that will contain the data
    rcst.Open strSql, cnn 'gets the data

    'output the info
    txtStatus.Text = "Data from First_Name: " & Chr(13) & Chr(10)

    'notice iteration with recordset
    Do While Not rcst.EOF 'check for the end
       txtStatus.Text = txtStatus.Text & rcst.Fields(0).Value & Chr(13) & Chr(10)
       rcst.MoveNext 'goto the next record
    Loop

    rcst.Close
    Set rcst = Nothing 'release the memory

End Sub

Private Sub Form_Unload(Cancel As Integer)
On Error Resume Next
    Set cnn = Nothing   'destroy object (prevent memory leaks)
    Set rcst = Nothing
End Sub
